MODECPY(9)

NAME
modecpy - Prepare response for MODE SENSE

SYNOPSIS

void modecpy(u8 * dest, const u8 * src, int n, bool changeable);

ARGUMENTS

dest
    output buffer

src
    data being copied

n
    length of mode page

changeable
    whether changeable parameters are requested

DESCRIPTION

Generate a generic MODE SENSE page for either current or changeable parameters.

LOCKING

None.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT